> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mrassistant.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Agent Configuration

> Get comprehensive agent configuration.



## OpenAPI

````yaml https://api.mrassistant.ai/openapi.json get /unified/agents/{agent_id}/config
openapi: 3.1.0
info:
  title: Backend - Multilingual Voice Agent System
  description: FastAPI backend for multilingual voice agents with tool use
  version: 1.0.0
servers: []
security: []
paths:
  /unified/agents/{agent_id}/config:
    get:
      tags:
        - unified-agent-config
        - unified-agent-config
      summary: Get Agent Configuration
      description: Get comprehensive agent configuration.
      operationId: get_agent_configuration_unified_agents__agent_id__config_get
      parameters:
        - name: agent_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Agent Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/app__controllers__unified_agent_config__AgentConfigResponse
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    app__controllers__unified_agent_config__AgentConfigResponse:
      properties:
        agent_id:
          type: string
          format: uuid
          title: Agent Id
        name:
          type: string
          title: Name
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        status:
          type: string
          title: Status
        model_settings:
          additionalProperties: true
          type: object
          title: Model Settings
        voice_config:
          additionalProperties: true
          type: object
          title: Voice Config
        transcriber_config:
          additionalProperties: true
          type: object
          title: Transcriber Config
        conversation_control:
          additionalProperties: true
          type: object
          title: Conversation Control
        call_timeout:
          additionalProperties: true
          type: object
          title: Call Timeout
        analysis_config:
          additionalProperties: true
          type: object
          title: Analysis Config
        voicemail_config:
          additionalProperties: true
          type: object
          title: Voicemail Config
        keypad_config:
          additionalProperties: true
          type: object
          title: Keypad Config
        workflow:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Workflow
        tools:
          items:
            additionalProperties: true
            type: object
          type: array
          title: Tools
        language_config:
          additionalProperties: true
          type: object
          title: Language Config
        advanced_config:
          additionalProperties: true
          type: object
          title: Advanced Config
        external_integration:
          additionalProperties: true
          type: object
          title: External Integration
        created_at:
          type: string
          title: Created At
        updated_at:
          type: string
          title: Updated At
      type: object
      required:
        - agent_id
        - name
        - description
        - status
        - model_settings
        - voice_config
        - transcriber_config
        - conversation_control
        - call_timeout
        - analysis_config
        - voicemail_config
        - keypad_config
        - tools
        - language_config
        - advanced_config
        - external_integration
        - created_at
        - updated_at
      title: AgentConfigResponse
      description: Comprehensive agent configuration response.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````